package selenium.login;

import org.junit.Assert;
import org.junit.Test;
import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.concurrent.TimeUnit;

public class LoginTest {


    @Test
    public void runTest(){

        //Setup
        System.setProperty("webdriver.chrome.driver", "/Users/ccottier/Desktop/chromedriver");
        ChromeDriver driver = new ChromeDriver();
        driver.manage().timeouts().implicitlyWait(40, TimeUnit.SECONDS);

        LoginPOM loginPage = new LoginPOM(driver);

        //Navigate to login modal
        loginPage.navigateToUrl("https://www.safeway.com/");

        WebElement wait = new WebDriverWait(driver, 15)
                .until(ExpectedConditions.elementToBeClickable(loginPage.getLnkSignIn()));

        loginPage.getLnkSignIn().click();
        loginPage.getSignInModal().click();

        //Log in
        loginPage.login(loginPage.getEmail(), loginPage.getPassword());

        //Check that account header can be seen, showing we've logged in
        Assert.assertTrue(driver.findElements(By.linkText("Account")).size() > 0);

        driver.close();
    }
}
